AnsweredAssumed Answered

upgrade wpa_supplicant to latest version

Question asked by David Luberger on Nov 20, 2018
Latest reply on Nov 28, 2018 by David Luberger

I'm using a redpines usb wifi module, and am having problems. according to them, I need to be using wpa_supplicant version 2.6, but the latest version of the freescale yocto project from git.freescale.com is imx-morty, that has kernel version 4.9.11 and yocto release morty.  the latter only has a recipe for wpa_supplicant 2.5.  I see that new versions of openembedded yocto have wpa_supplicant 2.6, which is what i need.  How do I "upgrade" the wpa_supplicant recipe to use version 2.6? Is it simply a matter of overwriting the recipe in the yocto sources directory with the newer version? or is there a way to get the freescale imx-morty yocto source and upgrade the whole thing to use all the freescale morty recipes but with a newer branch of oe yocto?

Outcomes